restinio::http_field_parsers::authorization_details::is_token68_char_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol can be used inside token68 from RFC7235. More...

`#include <authorization.hpp>`

Inheritance diagram for restinio::http_field_parsers::authorization_details::is_token68_char_predicate_t:

## Public Types

using | base_type_t = hfp_impl::is_alphanum_predicate_t

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Additional Inherited Members

Protected Member Functions inherited from restinio::http_field_parsers::impl::is_alphanum_predicate_t
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol can be used inside token68 from RFC7235.

Since
  v.0.6.7

Definition at line 40 of file authorization.hpp.

## Member Typedef Documentation

## base_type_t

using restinio::http_field_parsers::authorization_details::is_token68_char_predicate_t::base_type_t = hfp_impl::is_alphanum_predicate_t

Definition at line 43 of file authorization.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::authorization_details::is_token68_char_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 47 of file authorization.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/authorization.hpp